/**
 * 自定义上传接口
 */
class CkuploadAdapter {
    constructor(loader) {
        this.loader = loader;
    }

    upload() {
        let file = this.loader.file;
        return new Promise((resolve, reject) => {
            new Upload(file, resolve, reject);
        });
    }

    abort() {
        console.error('reject')
    }
}